My Project: dgUpHeap< OBJECT, KEY > Class Template Reference

My Project

Public Member Functions | List of all members
dgUpHeap< OBJECT, KEY > Class Template Reference

`#include <dgHeap.h>`

Inheritance diagram for dgUpHeap< OBJECT, KEY >:

## Public Member Functions

| dgUpHeap (dgInt32 maxElements, dgMemoryAllocator *const allocator)
| dgUpHeap (const void *const buffer, dgInt32 sizeInBytes)
void | Pop ()
void | Push (OBJECT &obj, KEY key)
void | Sort ()
void | Remove (dgInt32 Index)
Public Member Functions inherited from dgHeapBase< OBJECT, KEY >
void | Flush ()
KEY | MaxValue () const
KEY | Value (dgInt32 i=0) const
dgInt32 | GetCount () const
dgInt32 | GetMaxCount () const
const OBJECT & | operator[] (dgInt32 i) const
dgInt32 | Find (OBJECT &obj)
dgInt32 | Find (KEY key)

## Additional Inherited Members

Public Attributes inherited from dgHeapBase< OBJECT, KEY >
dgInt32 | m_curCount
dgInt32 | m_maxCount
dgMemoryAllocator * | m_allocator
RECORD * | m_pool
Protected Member Functions inherited from dgHeapBase< OBJECT, KEY >
| dgHeapBase (dgInt32 maxElements, dgMemoryAllocator *const allocator)
| dgHeapBase (const void *const buffer, dgInt32 sizeInBytes)
| ~dgHeapBase ()

## Constructor & Destructor Documentation

## § dgUpHeap() [1/2]

template<class OBJECT , class KEY >

dgUpHeap< OBJECT, KEY >::dgUpHeap | ( | dgInt32 | maxElements,
|  | dgMemoryAllocator *const | allocator
| ) |  |

## § dgUpHeap() [2/2]

template<class OBJECT , class KEY >

dgUpHeap< OBJECT, KEY >::dgUpHeap | ( | const void *const | buffer,
|  | dgInt32 | sizeInBytes
| ) |  |

## Member Function Documentation

## § Pop()

template<class OBJECT , class KEY >

void dgUpHeap< OBJECT, KEY >::Pop | ( |  | ) |

## § Push()

template<class OBJECT, class KEY>

void dgUpHeap< OBJECT, KEY >::Push | ( | OBJECT & | obj,
|  | KEY | key
| ) |  |

## § Remove()

template<class OBJECT , class KEY >

void dgUpHeap< OBJECT, KEY >::Remove | ( | dgInt32 | Index | ) |

## § Sort()

template<class OBJECT , class KEY >

void dgUpHeap< OBJECT, KEY >::Sort | ( |  | ) |

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/core/dgHeap.h